{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"9ff1d41cb54918829f50b69725192cc318e44c01","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-17.0.0.tgz","fileCount":6,"integrity":"sha512-fQi9hxnZeul213h60pQypzUWVA7cIbIqeO35/Q9vEqh6wm9dYmLR2kqqtzSK0iP5nBRWGRF32aK09t9M2Ij76g==","signatures":[{"sig":"MEUCIF9NwSHPujbHGiDZbyXXel6hUtN287MHJt6cchJdzQyxAiEAn1sgvImZiu1vMNJprTwkB9RlEZjDNjoDFlisn/UEGAc=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":211826},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"fe36a6d1c877d07de7d5f37ee84c44acdc28cfe3","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.14.1","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.0.2","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_17.0.0_1787917639991_0.37726136181125725","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@17.0.0","version":"17.0.0"}